Bug 456923 - Bzflag segmentation faults
Bzflag segmentation faults
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: bzflag (Show other bugs)
9
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-28 12:57 EDT by Alan Cox
Modified: 2009-07-14 12:05 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:05:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan Cox 2008-07-28 12:57:52 EDT
Description of problem:

On an intel video setup with > 2048 pixel width the 3D support in hardware is
disabled. That much is correct. However running bzflag doesn't fall back to
software instead it displays:

bash-3.2$ bzflag
Could not set Video Mode: Couldn't find matching GLX visual.
Segmentation fault
Comment 1 Nils Philippsen 2008-07-29 03:52:15 EDT
I can't reproduce the problem by starting an X server with DRI disabled (I don't
have a display with such a resolution and my graphics card is an ATI anyway).

Do you have a backtrace for me?
Comment 2 Alan Cox 2008-07-29 05:03:38 EDT
Could not set Video Mode: Couldn't find matching GLX visual.

Program received signal SIGSEGV, Segmentation fault.
0x000000358fa4bc26 in glViewport () from /usr/lib64/libGL.so.1
(gdb) where
#0  0x000000358fa4bc26 in glViewport () from /usr/lib64/libGL.so.1
#1  0x0000000000518da0 in ?? ()
#2  0x000000357a21e32a in __libc_start_main () from /lib64/libc.so.6
#3  0x000000000041bea9 in __cxa_pure_virtual ()
#4  0x00007fffe9e905f8 in ?? ()
#5  0x000000000000001c in ?? ()
#6  0x0000000000000001 in ?? ()
#7  0x00007fffe9e90a3b in ?? ()
#8  0x0000000000000000 in ?? ()
Comment 3 Nils Philippsen 2008-07-29 05:12:59 EDT
Please install the necessary -debuginfo packages ("debuginfo-install bzflag")
and post the resulting (hopefully more meaningful ;-) backtrace. Thanks!
Comment 4 Alan Cox 2008-07-29 06:18:53 EDT
#0  glViewport () at ../../../src/mesa/x86-64/glapi_x86-64.S:10995
#1  0x0000000000518da0 in main (argc=1, argv=0x7fffe9aad228) at bzflag.cxx:1079
Comment 6 Bug Zapper 2009-06-09 22:16:41 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-07-14 12:05:36 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.